pollen(1)

NAME
pollen - an Entropy-as-a-Service web server

SYNOPSIS
pollen [OPTION]...

OPTIONS

-http-port - the HTTP port on which to listen and serve cleartext responses; use "" to disable; default is "80"

-https-port - the HTTPS port on which to listen and serve encrypted, TLS responses; use "" to disable; default is "443"

-device - the device to use for reading and writing random data; default is /dev/urandom

-bytes - the size, in bytes, to transmit and receive each time to peers or neighbors listening in the pool; default is 64

-cert - the path to the TLS certificate; default is /etc/pollen/cert.pem

-key - the path to the TLS key; default is /etc/pollen/key.pem

DESCRIPTION
pollen is an Entropy-as-a-Service web server, providing random seeds over a TLS encrypted connection.

All requests are serviced over HTTPS, using the key at /etc/pollen/key.pem and the cert at /etc/pollen/cert.pem.

Some configuration options are available to the system administrator in /etc/default/pollen.

SEE ALSO
pollen(1), pollinate(1)

AUTHOR
This manpage and the utility were written by Dustin Kirkland <kirkland@ubuntu.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL, or on the web at http://www.gnu.org/licenses/gpl.txt.